PETSc version 3.15.5
Fix/Edit manual page

# PetscDSSetConstants

Set the array of constants passed to point functions

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetConstants(PetscDS prob, PetscInt numConstants, PetscScalar constants[])

Not collective

### Input Parameters

| prob | - The PetscDS object
| numConstants | - The number of constants
| constants | - The array of constants, NULL if there are none

### See Also

PetscDSGetConstants(), PetscDSCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c

### Examples

src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex62.c.html
src/ts/utils/dmplexlandau/tutorials/ex2.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages